Uploaded image for project: 'Weld'
  1. Weld
  2. WELD-2152 Weld build with JDK 9
  3. WELD-2153

Weld + Groovy compilation problems on JDK 9

    Details

    • Type: Sub-task
    • Status: Resolved (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 3.0.0.Alpha16
    • Fix Version/s: 2.4.0.CR1, 3.0.0.Alpha17
    • Component/s: None
    • Labels:
      None

      Description

      Weld SE has Groovy integration and the compilation fails with JDK 9.
      From what I learned there is ATM no support from Groovy side so the only solution would be to exclude Groovy compilation from the build.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                manovotn Matej Novotny
                Reporter:
                manovotn Matej Novotny
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: